This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748905 - [abrt] gnome-terminal-3.2.1-1.fc16: g_object_notify: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
[abrt] gnome-terminal-3.2.1-1.fc16: g_object_notify: Process /usr/bin/gnome-t...
Status: CLOSED DUPLICATE of bug 737394
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ac72a438c38fafeadc00a71dec0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 10:31 EDT by Mathieu Bridon
Modified: 2013-01-09 09:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-12 00:33:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (31.58 KB, text/plain)
2011-10-25 10:31 EDT, Mathieu Bridon
no flags Details
File: backtrace (37.36 KB, text/plain)
2011-10-25 10:31 EDT, Mathieu Bridon
no flags Details

  None (edit)
Description Mathieu Bridon 2011-10-25 10:31:30 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        gnome-terminal
crash_function: g_object_notify
executable:     /usr/bin/gnome-terminal
kernel:         3.1.0-0.rc10.git0.1.fc16.x86_64
reason:         Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
time:           Tue Oct 25 22:11:10 2011
uid:            1000
username:       bochecha

backtrace:      Text file, 38260 bytes
maps:           Text file, 32335 bytes

comment:
:I was having problem with evolution, so I ran it in gnome-terminal to see if I could see an error message. I did not see anything, but I still had that gnome-terminal window running evolution in it when the crash happened.
:
:However, in another gnome-terminal window, I ran « git diff --staged  », and that's at this exact moment that gnome-terminal crashed.
:
:So I guess it could be one of those two that caused the actual crash?

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1319031766
:/lib64/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319384963
:/usr/lib64/libgdk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1319384965
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1317292134
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1317291692
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1317292577
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1317292554
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1317291626
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-1.fc16.x86_64 (Fedora Project) 1317404886
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.1.1-1.fc16.noarch (Fedora Project) 1319384944
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1317291620
:/lib64/ld-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1317292553
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-1.fc16.noarch (Fedora Project) 1317292088
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1317291615
:/lib64/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319384963
:/usr/lib/locale/locale-archive glibc-common-2.14.90-13.x86_64 (Fedora Project) 1319384958
:/usr/lib64/librsvg-2.so.2.34.1 librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1317292577
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1317291842
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1317292557
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1317291691
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1317292553
:/lib64/libresolv-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1317292855
:/lib64/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1317291615
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.1-1.fc16.x86_64 (Fedora Project) 1319032199
:/lib64/libgcc_s-4.6.1-20111002.so.1 libgcc-4.6.1-10.fc16.x86_64 (Fedora Project) 1318169669
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1317292105
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1317293393
:/lib64/librt-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1317291628
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317404901
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.7-1.fc16.noarch (Fedora Project) 1319384357
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1317293393
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1317292554
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-2.fc16.x86_64 (Fedora Project) 1319299030
:/lib64/libselinux.so.1 libselinux-2.1.6-4.fc16.x86_64 (Fedora Project) 1319549765
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc16.noarch (Fedora Project) 1317292088
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1317291689
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317404901
:/lib64/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319384963
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1317291680
:/lib64/libpthread-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1317292554
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libvte2_90.so.9.3000.1 vte3-0.30.1-1.fc16.x86_64 (Fedora Project) 1319380420
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1317292554
:/lib64/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319384963
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1317291679
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1317291622
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.x86_64 (Fedora Project) 1317407041
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1317291620
:/lib64/libdl-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1317291691
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.2.1-1.fc16.x86_64 (Fedora Project) 1319384359
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1317292555
:/usr/share/vte/termcap-2.90/xterm vte3-0.30.1-1.fc16.x86_64 (Fedora Project) 1319380420
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1317291678
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.x86_64 (Fedora Project) 1317291684
:/lib64/libutil-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-3.fc16.x86_64 (Fedora Project) 1318432649
:/usr/lib64/libgtk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1319384965
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1317291634
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1317291681
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1317291631
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1317292558
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1317291679
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1317291693
:/lib64/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319384963
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1317292552
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.1-1.fc16.x86_64 (Fedora Project) 1319032199
:/usr/bin/gnome-terminal gnome-terminal-3.2.1-1.fc16.x86_64 (Fedora Project) 1319385009
:/lib64/libuuid.so.1.3.0 libuuid-2.20.1-1.fc16.x86_64 (Fedora Project) 1319380339
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1319384965
:/lib64/libc-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319384947
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1317291692
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317404901
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1317292555
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.2.0-1.fc16.x86_64 (Fedora Project) 1317407024
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1317292555

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=casey
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=68c20ff1bf326d4427aaf8cf00000007-1319548263.102391-1378550161
:GNOME_KEYRING_CONTROL=/tmp/keyring-Qw0Bwe
:IMSETTINGS_MODULE=none
:USER=bochecha
:USERNAME=bochecha
:MAIL=/var/spool/mail/bochecha
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/bochecha/.local/bin:/home/bochecha/.local/bin:/home/bochecha/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/bochecha
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1778
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/bochecha
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=bochecha
:GIT_PS1_SHOWUPSTREAM=auto
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-zb0vSvUEgF,guid=cf366773c009fc9437c825ba000003b8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/bochecha
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-bochecha-sUMYU1/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1783,unix/unix:/tmp/.ICE-unix/1783
:SSH_AUTH_SOCK=/tmp/keyring-Qw0Bwe/ssh
:GPG_AGENT_INFO=/tmp/keyring-Qw0Bwe/gpg:0:1
:LC_TIME=en_HK.utf8
:LC_NUMERIC=en_HK.utf8
:LC_MONETARY=en_HK.utf8
:LC_MEASUREMENT=en_HK.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1986-casey-gnome-terminal-4_TIME4288194
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-terminal.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3720

gconf_subtree:
: /apps/gnome-terminal/keybindings:
:  prev_tab = <Control>Page_Up
:  save_contents = disabled
:  reset = (no value set)
:  move_tab_left = <Ctrl><Shift>Page_Up
:  close_window = <Ctrl><Shift>q
:  zoom_in = <Ctrl>plus
:  switch_to_tab_1 = <Alt>1
:  switch_to_tab_2 = <Alt>2
:  switch_to_tab_3 = <Alt>3
:  switch_to_tab_4 = <Alt>4
:  switch_to_tab_5 = <Alt>5
:  switch_to_tab_6 = <Alt>6
:  switch_to_tab_7 = <Alt>7
:  help = F1
:  switch_to_tab_8 = <Alt>8
:  detach_tab = (no value set)
:  close_tab = <Ctrl><Shift>w
:  switch_to_tab_9 = <Alt>9
:  toggle_menubar = (no value set)
:  set_terminal_title = (no value set)
:  next_tab = <Control>Page_Down
:  copy = <Ctrl><Shift>c
:  new_tab = <Ctrl><Shift>t
:  reset_and_clear = (no value set)
:  zoom_out = <Ctrl>minus
:  new_profile = (no value set)
:  zoom_normal = <Ctrl>0
:  paste = <Ctrl><Shift>v
:  new_window = <Ctrl><Shift>n
:  move_tab_right = <Ctrl><Shift>Page_Down
:  switch_to_tab_11 = (no value set)
:  switch_to_tab_12 = (no value set)
:  full_screen = F11
:  switch_to_tab_10 = <Alt>0
: /apps/gnome-terminal/global:
:  confirm_window_close = true
:  default_profile = Default
:  use_mnemonics = true
:  use_menu_accelerators = true
:  active_encodings = [UTF-8,current]
:  profile_list = [Default]
: /apps/gnome-terminal/profiles:
:  /apps/gnome-terminal/profiles/Default:
:   cursor_shape = block
:   scrollback_lines = 512
:   allow_bold = true
:   scrollback_unlimited = false
:   scroll_background = true
:   backspace_binding = ascii-del
:   use_theme_colors = true
:   update_records = true
:   use_custom_default_size = false
:   login_shell = false
:   icon = 
:   background_image = 
:   background_darkness = 0.5
:   foreground_color = #000000000000
:   delete_binding = escape-sequence
:   scrollbar_position = right
:   use_system_font = true
:   use_custom_command = false
:   scroll_on_output = false
:   background_color = #FFFFFFFFDDDD
:   word_chars = -A-Za-z0-9,./?%&#:_=+@~
:   palette = #2E2E34343636:#CCCC00000000:#4E4E9A9A0606:#C4C4A0A00000:#34346565A4A4:#757550507B7B:#060698209A9A:#D3D3D7D7CFCF:#555557575353:#EFEF29292929:#8A8AE2E23434:#FCFCE9E94F4F:#72729F9FCFCF:#ADAD7F7FA8A8:#3434E2E2E2E2:#EEEEEEEEECEC
:   visible_name = Default
:   title = Terminal
:   default_show_menubar = true
:   default_size_rows = 24
:   font = Monospace 12
:   default_size_columns = 80
:   scroll_on_keystroke = true
:   silent_bell = false
:   exit_action = close
:   custom_command = 
:   background_type = solid
:   bold_color = #000000000000
:   cursor_blink_mode = system
:   bold_color_same_as_fg = true
:   title_mode = replace

var_log_messages:
:Oct 23 23:50:09 casey yum[11747]: Updated: gnome-terminal-3.2.1-1.fc16.x86_64
:Oct 25 22:11:10 casey kernel: [ 4557.741889] gnome-terminal[3720]: segfault at 1 ip 00000031168135b8 sp 00007fff040336f0 error 4 in libgobject-2.0.so.0.3000.1[3116800000+4c000]
:Oct 25 22:11:10 casey abrt[4212]: saved core dump of pid 3720 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2011-10-25-22:11:10-3720 (42528768 bytes)

xsession_errors:
:(gnome-terminal:3720): Gtk-CRITICAL **: gtk_widget_get_parent: assertion `GTK_IS_WIDGET (widget)' failed
:(gnome-terminal:3720): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GtkLabel'
:(gnome-terminal:3720): Gtk-CRITICAL **: gtk_label_set_text: assertion `GTK_IS_LABEL (label)' failed
:(gnome-terminal:3720): Gtk-CRITICAL **: gtk_widget_set_tooltip_text: assertion `GTK_IS_WIDGET (widget)' failed
Comment 1 Mathieu Bridon 2011-10-25 10:31:34 EDT
Created attachment 530107 [details]
File: maps
Comment 2 Mathieu Bridon 2011-10-25 10:31:37 EDT
Created attachment 530108 [details]
File: backtrace
Comment 3 James Cape 2011-11-10 17:56:20 EST
Package: gnome-terminal-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash while attempting to switch to the window.
Comment 4 James Cape 2011-11-18 14:51:22 EST
Package: gnome-terminal-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Scroll wheel from inside of minicom.
Comment 5 Joel Uckelman 2012-01-04 19:11:24 EST
gnome-terminal crashed after I started gvim from it.

rating: 4
Package: gnome-terminal-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 6 frywalker 2012-01-08 09:28:55 EST
I just open a new tab

rating: 4
Package: gnome-terminal-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 7 Fedora Admin XMLRPC Client 2012-01-10 10:46:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2012-01-10 10:49:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Matthias Clasen 2012-01-12 00:33:33 EST

*** This bug has been marked as a duplicate of bug 737394 ***

Note You need to log in before you can comment on or make changes to this bug.